
Redmine - Defect #42182

Poor color contrast of icons on flyout menu

2025-01-28 16:13 - Liane Hampe

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: UI - Responsive Estimated time: 0.00 hour

Target version: 6.0.4   

Resolution: Fixed Affected version: 6.0.2

Description

 

Associated revisions

Revision 23489 - 2025-02-05 08:32 - Go MAEDA

Fix low contrast of icons on flyout menu by adjusting stroke color (#42182).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23492 - 2025-02-07 07:06 - Go MAEDA

Merged r23489 from trunk to 6.0-stable (#42182).

History

#1 - 2025-01-30 07:49 - Go MAEDA

- Subject changed from Poor color contrast of icons on flyout menu to Poor color contrast of icons on flyout menu with Alternate theme

- Status changed from New to Confirmed
The reported issue is reproducible when using the Alternate theme.

#2 - 2025-02-04 05:45 - Mizuki ISHIKAWA

- File screenshot 2025-02-04 13.42.26.png added

This problem could be reproduced in the Default theme.

Here is the diff that fixes the problem.

diff --git a/app/assets/stylesheets/responsive.css b/app/assets/stylesheets/responsive.css

index 4eff84187..ec580037c 100644

--- a/app/assets/stylesheets/responsive.css

+++ b/app/assets/stylesheets/responsive.css

@@ -440,6 +440,10 @@

     color: white;

   }

+  .flyout-menu .icon svg {

+    stroke: white;

+  }

+

   .flyout-menu ul li a:hover {

     text-decoration: none;

   }

@@ -560,8 +564,10 @@

   #admin-menu a.selected {

     line-height: 40px;

     padding: 0;

-    padding-left: 32px !important;

-    background-position: 8px 50%;

+  }

+

+  #admin-menu a.icon:not(:has(svg)) {

+    padding-left: 20px !important;

   }

   /*----------------------------------------*\

 After change:

 screenshot 2025-02-04 13.42.26.png 

#3 - 2025-02-04 05:58 - Go MAEDA

- Subject changed from Poor color contrast of icons on flyout menu with Alternate theme to Poor color contrast of icons on flyout menu

- Target version set to Candidate for next minor release

#4 - 2025-02-04 06:51 - Go MAEDA

- Target version changed from Candidate for next minor release to 6.0.4

Setting the target version to 6.0.4.

#5 - 2025-02-05 08:32 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23489. Thank you for your contribution.

#6 - 2025-02-07 07:06 - Go MAEDA

- Status changed from Resolved to Closed

Merged the fix into the 6.0-stable branch in r23492.
